%define upstream_name    parent
%define upstream_version 0.225

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Establish an ISA relationship with base classes at compile time
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/C/CO/CORION/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.400.0
BuildArch:  noarch

Provides:   perl(parent)

%description
Allows you to both load one or more modules, while setting up inheritance from
those modules at the same time.  Mostly similar in effect to

    package Baz;
    BEGIN {
        require Foo;
        require Bar;
        push @ISA, qw(Foo Bar);
    }

By default, every base class needs to live in a file of its own.
If you want to have a subclass and its parent class in the same file, you
can tell C<parent> not to load any modules by using the C<-norequire> switch:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/parent.pm

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.225.0-3.mga3
+ Revision: 375536
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 0.225.0-2.mga2
+ Revision: 103654
- increase rel for rebuild

* Thu Mar 10 2011 jquelin <jquelin> 0.225.0-1.mga1
+ Revision: 67427
- update to 0.225

* Sat Feb 26 2011 jquelin <jquelin> 0.224.0-2.mga1
+ Revision: 60626
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.224.0-1.mga1
+ Revision: 22038
- cleaning spec file
- imported package perl-parent

